org.eclipse.rdf4j.repository.event

## Interface InterceptingRepository

- All Superinterfaces:
    Repository
  All Known Implementing Classes:
    InterceptingRepositoryWrapper

      public interface InterceptingRepository
      extends Repository

  Author:
    Herko ter Horst

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRepositoryConnectionInterceptor(RepositoryConnectionInterceptor interceptor)` Registers a `RepositoryConnectionInterceptor` that will receive notifications of operations that are performed on this connection.
    `void` | `addRepositoryInterceptor(RepositoryInterceptor interceptor)` Registers a `RepositoryInterceptor` that will receive notifications of operations that are performed on this repository.
    `void` | `removeRepositoryConnectionInterceptor(RepositoryConnectionInterceptor interceptor)` Removes a registered `RepositoryConnectionInterceptor` from this connection.
    `void` | `removeRepositoryInterceptor(RepositoryInterceptor interceptor)` Removes a registered `RepositoryInterceptor` from this repository.

    - ### Methods inherited from interface org.eclipse.rdf4j.repository.Repository

      `getConnection, getDataDir, getValueFactory, init, initialize, isInitialized, isWritable, setDataDir, shutDown`

- - ### Method Detail

    - #### addRepositoryInterceptor

          void addRepositoryInterceptor(RepositoryInterceptor interceptor)

      Registers a `RepositoryInterceptor` that will receive notifications of operations that are performed on this repository.

    - #### removeRepositoryInterceptor

          void removeRepositoryInterceptor(RepositoryInterceptor interceptor)

      Removes a registered `RepositoryInterceptor` from this repository.

    - #### addRepositoryConnectionInterceptor

          void addRepositoryConnectionInterceptor(RepositoryConnectionInterceptor interceptor)

      Registers a `RepositoryConnectionInterceptor` that will receive notifications of operations that are performed on this connection.

    - #### removeRepositoryConnectionInterceptor

          void removeRepositoryConnectionInterceptor(RepositoryConnectionInterceptor interceptor)

      Removes a registered `RepositoryConnectionInterceptor` from this connection.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.